(function ($) {
    $.extend(FR.Msg, {
        toast: function(message){
            var $tabContent = $("div.fs-tab-content");
            if($tabContent.length === 0){
                this.reportToast(message);
            }
            else{
                this.fsToast(message);
            }
        },
        fsToast: function(message){
            var toTop = -50;
            var $dv = $("div.fs-tab-content").children('div.customToast');
            $dv.css({
                opacity: 0
            });
            if ($dv.length === 0) {
                $dv = $("<div/>").addClass('customToast').css({
                    top: toTop
                }).appendTo("div.fs-tab-content");
            }
            $dv.text(message);
            $dv.show();
            $dv.animate({
                top: 0,
                opacity: 0.8
            }, 200);
            (function() {
                $dv.animate({
                    top: toTop,
                    opacity: 0
                }, 200);
            }).defer(3000);
            (function() {
                $dv.hide();
            }).defer(3200);
        },
        reportToast: function(message){
            var toTop = -50;
            var $dv = $("body").children('div.customToast');
            if ($dv.length === 0) {
                $dv = $("<div/>").addClass('customToast').css({
                    top: toTop
                }).appendTo("body");
            }
            $dv.text(message);
            $dv.animate({
                top: 0
            }, 200);
            (function() {
                $dv.animate({
                    top: toTop
                }, 200);
            }).defer(3000);
        }
    });
})(jQuery);
