(function ($) {
    $.extend(FR.Msg, {
        toast: function(message){
            var $tabContent = $("div.fs-tab-content");
            if($tabContent.length === 0){
                this.popToast(38, 'body', message);
            }
            else{
                this.popToast(10, 'div.fs-tab-content', message);
            }
        },
        popToast: function(toTop, dv, message){
            var toright = -240;
            var top = toTop;
            var $dv = $(dv).children('div.customToast');
            if ($dv.length === 0) {
                // carl:ie6不支持fixed, 改用absolute及下面方法模拟
                if ($.browser.msie && parseInt($.browser.version) <= 6) {
                    top += $('body')[0].scrollTop;
                }
                $dv = $("<div/>").addClass('customToast').css({
                    right: toright,
                    top: top,
                    'z-Index': FR.widget.opts.zIndex
                }).appendTo(dv);

            }
            $dv.text(message);

            $dv.animate({
                right: 10
            }, 200);


            (function() {
                $dv.animate({
                    right: toright
                }, 200);
            }).defer(3000);
        }
    });
})(jQuery);